diff --git a/changelog b/changelog
index eda7bfd..456e2f9 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20080417 tpd src/input/schaum7.input fix typo in --S 30
+20080417 tpd src/input/schaum5.input fix typo 14:88 -> 14:123
 20080416 tpd src/input/schaum7.input show Schaums-Axiom equivalence
 20080416 tpd src/input/schaum6.input show Schaums-Axiom equivalence
 20080416 tpd src/input/schaum5.input show Schaums-Axiom equivalence
diff --git a/src/input/schaum5.input.pamphlet b/src/input/schaum5.input.pamphlet
index 50ea618..a5d3fc3 100644
--- a/src/input/schaum5.input.pamphlet
+++ b/src/input/schaum5.input.pamphlet
@@ -1571,7 +1571,7 @@ cc3:=aa2-bb1
 --R                                                     Type: Expression Integer
 --E
 
---S 42     14:88 Axiom cannot simplify these results
+--S 42     14:123 Axiom cannot simplify these results
 cc4:=aa2-bb2
 --R
 --R   (14)
diff --git a/src/input/schaum7.input.pamphlet b/src/input/schaum7.input.pamphlet
index 3062d2e..ce37f19 100644
--- a/src/input/schaum7.input.pamphlet
+++ b/src/input/schaum7.input.pamphlet
@@ -356,71 +356,64 @@ aa:=integrate(1/(x^3*(x^2-a^2)),x)
 --E 
 
 --S 30
-bb:=1/(2*a^2*x*2)-1/(2*a^4)*log(x^2/(x^2-a^2))
+bb:=1/(2*a^2*x^2)-1/(2*a^4)*log(x^2/(x^2-a^2))
 --R
---R                     2
---R                    x        2
---R        - 2x log(-------) + a
---R                  2    2
---R                 x  - a
---R   (2)  ----------------------
---R                   4
---R                 4a x
+--R                    2
+--R           2       x        2
+--R        - x log(-------) + a
+--R                 2    2
+--R                x  - a
+--R   (2)  ---------------------
+--R                  4 2
+--R                2a x
 --R                                                     Type: Expression Integer
 --E
 
 --S 31
-cc:=aa-bb
---R
---R                                                 2
---R          2     2    2      2           2       x        2      2
---R        2x log(x  - a ) - 4x log(x) + 2x log(-------) - a x + 2a
---R                                              2    2
---R                                             x  - a
---R   (3)  ---------------------------------------------------------
---R                                    4 2
---R                                  4a x
---R                                                     Type: Expression Integer
---E
-
---S 32
 divlog:=rule(log(a/b) == log(a) - log(b))
 --R
 --R            a
---R   (4)  log(-) == - log(b) + log(a)
+--R   (3)  log(-) == - log(b) + log(a)
 --R            b
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 33
-dd:=divlog cc
+--S 32
+t1:=divlog bb
 --R
---R          2     2      2          2      2
---R        2x log(x ) - 4x log(x) - a x + 2a
---R   (5)  ----------------------------------
---R                         4 2
---R                       4a x
+--R           2     2     2     2    2     2
+--R        - x log(x ) + x log(x  - a ) + a
+--R   (4)  ---------------------------------
+--R                        4 2
+--R                      2a x
 --R                                                     Type: Expression Integer
 --E
 
---S 34
+--S 33
 logpow:=rule(log(a^n) == n*log(a))
 --R
 --R             n
---R   (6)  log(a ) == n log(a)
+--R   (5)  log(a ) == n log(a)
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 35     14:150 Schaums and Axiom DISAGREE BY A NON-CONSTANT
-ee:=logpow dd
+--S 34
+t2:=logpow t1
 --R
---R        - x + 2
---R   (7)  -------
---R           2 2
---R         4a x
+--R         2     2    2      2          2
+--R        x log(x  - a ) - 2x log(x) + a
+--R   (6)  -------------------------------
+--R                       4 2
+--R                     2a x
 --R                                                     Type: Expression Integer
 --E
 
+--S 35     14:150 Schaums and Axiom agree
+cc:=aa-t2
+
+   (7)  0
+                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.151~~~~~$\displaystyle\int{\frac{dx}{(x^2-a^2)^2}}$}
